<?php

use WPBannerize\WPBones\Database\Seeder;

return new class extends Seeder {

  protected $tablename = 'countries';

  public function run()
  {

    $this->truncate();

    $this->insert(
      "(id, zone, country, isocode, currency, symbol, symbol_html, code, tax, continent, status)
      VALUES
      	(1,'','Mauritania','MR','Mauritanian Ouguiya','','','MRO',0.00,'africa','publish'),
      	(2,'','Martinique (French)','MQ','Euro','€','&#8364;','EUR',0.00,'southamerica','publish'),
      	(3,'','Malta','MT','Maltese Lira','','','MTL',0.00,'europe','publish'),
      	(4,'','Marshall Islands','MH','US Dollar','$','&#036;','USD',0.00,'asiapacific','publish'),
      	(5,'','Mali','ML','CFA Franc BCEAO','','','XOF',0.00,'africa','publish'),
      	(6,'','Maldives','MV','Maldive Rufiyaa','','','MVR',0.00,'asiapacific','publish'),
      	(7,'','Malaysia','MY','Malaysian Ringgit','','','MYR',0.00,'asiapacific','publish'),
      	(8,'','Malawi','MW','Malawi Kwacha','','','MWK',0.00,'africa','publish'),
      	(9,'','Madagascar','MG','Malagasy Franc','','','MGF',0.00,'africa','publish'),
      	(10,'','Macau','MO','Macau Pataca','','','MOP',0.00,'asiapacific','publish'),
      	(11,'','Macedonia','MK','Denar','','','MKD',0.00,'europe','publish'),
      	(12,'','Luxembourg','LU','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(13,'','Lithuania','LT','Lithuanian Litas','','','LTL',0.00,'europe','publish'),
      	(14,'','Liechtenstein','LI','Swiss Franc','','','CHF',0.00,'europe','publish'),
      	(15,'','Libya','LY','Libyan Dinar','','','LYD',0.00,'africa','publish'),
      	(16,'','Liberia','LR','Liberian Dollar','$','&#036;','LRD',0.00,'africa','publish'),
      	(17,'','Lesotho','LS','Lesotho Loti','','','LSL',0.00,'africa','publish'),
      	(18,'','Lebanon','LB','Lebanese Pound','','','LBP',0.00,'asiapacific','publish'),
      	(19,'','Latvia','LV','Latvian Lats','','','LVL',0.00,'europe','publish'),
      	(20,'','Laos','LA','Lao Kip','','','LAK',0.00,'asiapacific','publish'),
      	(21,'','Kyrgyzstan','KG','Som','','','KGS',0.00,'asiapacific','publish'),
      	(22,'','Kuwait','KW','Kuwaiti Dinar','','','KWD',0.00,'asiapacific','publish'),
      	(23,'','Korea, South','KR','Korean Won','','','KRW',0.00,'asiapacific','publish'),
      	(24,'','Korea, North','KP','North Korean Won','','','KPW',0.00,'asiapacific','publish'),
      	(25,'','Kiribati','KI','Australian Dollar','$','&#036;','AUD',0.00,'asiapacific','publish'),
      	(26,'','Kenya','KE','Kenyan Shilling','','','KES',0.00,'africa','publish'),
      	(27,'','Kazakhstan','KZ','Kazakhstan Tenge','','','KZT',0.00,'asiapacific','publish'),
      	(28,'','Jordan','JO','Jordanian Dinar','','','JOD',0.00,'asiapacific','publish'),
      	(29,'','Jersey','JE','Pound Sterling','£','&#163;','GBP',0.00,'europe','publish'),
      	(30,'','Japan','JP','Japanese Yen','¥','&#165;','JPY',0.00,'asiapacific','publish'),
      	(31,'','Jamaica','JM','Jamaican Dollar','$','&#036;','JMD',0.00,'southamerica','publish'),
      	(32,'','Ivory Coast','CI','CFA Franc BCEAO','','','XOF',0.00,'africa','publish'),
      	(33,'','Italy','IT','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(34,'','Isle of Man','IM','Pound Sterling','£','&#163;','GBP',0.00,'europe','publish'),
      	(35,'','Israel','IL','Israeli New Shekel','','','ILS',0.00,'asiapacific','publish'),
      	(36,'','Ireland','IE','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(37,'','Iraq','IQ','Iraqi Dinar','','','IQD',0.00,'asiapacific','publish'),
      	(38,'','Indonesia','ID','Indonesian Rupiah','','','IDR',0.00,'asiapacific','publish'),
      	(39,'','Iran','IR','Iranian Rial','','','IRR',0.00,'asiapacific','publish'),
      	(40,'','India','IN','Indian Rupee','','','INR',0.00,'asiapacific','publish'),
      	(41,'','Iceland','IS','Iceland Krona','','','ISK',0.00,'europe','publish'),
      	(42,'','Hungary','HU','Hungarian Forint','','','HUF',0.00,'europe','publish'),
      	(43,'','Hong Kong','HK','Hong Kong Dollar','$','&#036;','HKD',0.00,'asiapacific','publish'),
      	(44,'','Honduras','HN','Honduran Lempira','','','HNL',0.00,'southamerica','publish'),
      	(45,'','Heard Island and McDonald Islands','HM','Australian Dollar','$','&#036;','AUD',0.00,'asiapacific','publish'),
      	(46,'','Haiti','HT','Haitian Gourde','','','HTG',0.00,'southamerica','publish'),
      	(47,'','Guyana','GY','Guyana Dollar','$','&#036;','GYD',0.00,'southamerica','publish'),
      	(48,'','Guinea Bissau','GW','Guinea-Bissau Peso','','','GWP',0.00,'africa','publish'),
      	(49,'','Guinea','GN','Guinea Franc','','','GNF',0.00,'africa','publish'),
      	(50,'','Guernsey','GF','Pound Sterling','£','&#163;','GBP',0.00,'europe','publish'),
      	(51,'','Guatemala','GT','Guatemalan Quetzal','','','QTQ',0.00,'southamerica','publish'),
      	(52,'','Guam (USA)','GU','US Dollar','$','&#036;','USD',0.00,'asiapacific','publish'),
      	(53,'','Grenada','GD','East Carribean Dollar','$','&#036;','XCD',0.00,'africa','publish'),
      	(54,'','Guadeloupe (French)','GP','Euro','€','&#8364;','EUR',0.00,'southamerica','publish'),
      	(55,'','Greenland','GL','Danish Krone','','','DKK',0.00,'europe','publish'),
      	(56,'','Greece','GR','Euro','€','&#8364;','EUR',19.00,'europe','publish'),
      	(57,'','Gibraltar','GI','Gibraltar Pound','','','GIP',0.00,'europe','publish'),
      	(58,'','Ghana','GH','Ghanaian Cedi','','','GHC',0.00,'africa','publish'),
      	(59,'','Germany','DE','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(60,'','Georgia','GE','Georgian Lari','','','GEL',0.00,'europe','publish'),
      	(61,'','Gambia','GM','Gambian Dalasi','','','GMD',0.00,'africa','publish'),
      	(62,'','Gabon','GA','CFA Franc BEAC','','','XAF',0.00,'africa','publish'),
      	(63,'','French Southern Territories','TF','Euro','€','&#8364;','EUR',0.00,'africa','publish'),
      	(64,'','France','FR','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(65,'','Finland','FI','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(66,'','Fiji','FJ','Fiji Dollar','$','&#036;','FJD',0.00,'asiapacific','publish'),
      	(67,'','Faroe Islands','FO','Danish Krone','','','DKK',0.00,'europe','publish'),
      	(68,'','Falkland Islands','FK','Falkland Islands Pound','','','FKP',0.00,'southamerica','publish'),
      	(69,'','Ethiopia','ET','Ethiopian Birr','','','ETB',0.00,'africa','publish'),
      	(70,'','Estonia','EE','Estonian Kroon','','','EEK',0.00,'europe','publish'),
      	(71,'','Eritrea','ER','Eritrean Nakfa','','','ERN',0.00,'africa','publish'),
      	(72,'','Equatorial Guinea','GQ','CFA Franc BEAC','','','XAF',0.00,'africa','publish'),
      	(73,'','El Salvador','SV','El Salvador Colon','','','SVC',0.00,'southamerica','publish'),
      	(74,'','Egypt','EG','Egyptian Pound','','','EGP',0.00,'africa','publish'),
      	(75,'','Ecuador','EC','Ecuador Sucre','','','ECS',0.00,'southamerica','publish'),
      	(76,'','East Timor','TP','Timor Escudo','','','TPE',0.00,'asiapacific','publish'),
      	(77,'','Dominican Republic','DO','Dominican Peso','','','DOP',0.00,'southamerica','publish'),
      	(78,'','Dominica','DM','East Caribbean Dollar','$','&#036;','XCD',0.00,'southamerica','publish'),
      	(79,'','Djibouti','DJ','Djibouti Franc','','','DJF',0.00,'africa','publish'),
      	(80,'','Denmark','DK','Danish Krone','','','DKK',0.00,'europe','publish'),
      	(81,'','Democratic Republic of Congo','CD','Francs','','','CDF',0.00,'africa','publish'),
      	(82,'','Czech Rep.','CZ','Czech Koruna','','','CZK',0.00,'europe','publish'),
      	(83,'','Cyprus','CY','Cyprus Pound','','','CYP',0.00,'europe','publish'),
      	(84,'','Cuba','CU','Cuban Peso','','','CUP',0.00,'northamerica','publish'),
      	(85,'','Croatia','HR','Croatian Kuna','','','HRK',0.00,'europe','publish'),
      	(86,'','Costa Rica','CR','Costa Rican Colon','','','CRC',0.00,'southamerica','publish'),
      	(87,'','Cook Islands','CK','New Zealand Dollar','$','&#036;','NZD',0.00,'asiapacific','publish'),
      	(88,'','Congo','CG','CFA Franc BEAC','','','XAF',0.00,'africa','publish'),
      	(89,'','Comoros','KM','Comoros Franc','','','KMF',0.00,'africa','publish'),
      	(90,'','Colombia','CO','Colombian Peso','','','COP',0.00,'southamerica','publish'),
      	(91,'','Cocos (Keeling) Islands','CC','Australian Dollar','$','&#036;','AUD',0.00,'asiapacific','publish'),
      	(92,'','Christmas Island','CX','Australian Dollar','$','&#036;','AUD',0.00,'asiapacific','publish'),
      	(93,'','Chile','CL','Chilean Peso','','','CLP',0.00,'asiapacific','publish'),
      	(94,'','China','CN','Yuan Renminbi','','','CNY',0.00,'asiapacific','publish'),
      	(95,'','Chad','TD','CFA Franc BEAC','','','XAF',0.00,'africa','publish'),
      	(96,'','Central African Republic','CF','CFA Franc BEAC','','','XAF',0.00,'africa','publish'),
      	(97,'','Cayman Islands','KY','Cayman Islands Dollar','$','&#036;','KYD',0.00,'northamerica','publish'),
      	(98,'','Cape Verde','CV','Cape Verde Escudo','','','CVE',0.00,'africa','publish'),
      	(99,'','Cameroon','CM','CFA Franc BEAC','','','XAF',0.00,'africa','publish'),
      	(100,'','Canada','CA','Canadian Dollar','$','&#036;','CAD',0.00,'northamerica','publish'),
      	(101,'','Cambodia','KH','Kampuchean Riel','','','KHR',0.00,'asiapacific','publish'),
      	(102,'','Burundi','BI','Burundi Franc','','','BIF',0.00,'africa','publish'),
      	(103,'','Burkina Faso','BF','CFA Franc BCEAO','','','XOF',0.00,'africa','publish'),
      	(104,'','Bulgaria','BG','Bulgarian Lev','','','BGL',0.00,'europe','publish'),
      	(105,'','Brunei Darussalam','BN','Brunei Dollar','$','&#036;','BND',0.00,'asiapacific','publish'),
      	(106,'','British Indian Ocean Territory','IO','US Dollar','$','&#036;','USD',0.00,'asiapacific','publish'),
      	(107,'','Brazil','BR','Brazilian Real','','','BRL',0.00,'southamerica','publish'),
      	(108,'','Bouvet Island','BV','Norwegian Krone','','','NOK',0.00,'africa','publish'),
      	(109,'','Botswana','BW','Botswana Pula','','','BWP',0.00,'africa','publish'),
      	(110,'','Bosnia-Herzegovina','BA','Marka','','','BAM',0.00,'europe','publish'),
      	(111,'','Bolivia','BO','Boliviano','','','BOB',0.00,'southamerica','publish'),
      	(112,'','Bhutan','BT','Bhutan Ngultrum','','','BTN',0.00,'asiapacific','publish'),
      	(113,'','Bermuda','BM','Bermudian Dollar','$','&#036;','BMD',0.00,'europe','publish'),
      	(114,'','Benin','BJ','CFA Franc BCEAO','','','XOF',0.00,'africa','publish'),
      	(115,'','Belize','BZ','Belize Dollar','$','&#036;','BZD',0.00,'northamerica','publish'),
      	(116,'','Belgium','BE','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(117,'','Belarus','BY','Belarussian Ruble','','','BYB',0.00,'europe','publish'),
      	(118,'','Barbados','BB','Barbados Dollar','$','&#036;','BBD',0.00,'southamerica','publish'),
      	(119,'','Bangladesh','BD','Bangladeshi Taka','','','BDT',0.00,'asiapacific','publish'),
      	(120,'','Bahrain','BH','Bahraini Dinar','','','BHD',0.00,'asiapacific','publish'),
      	(121,'','Bahamas','BS','Bahamian Dollar','$','&#036;','BSD',0.00,'northamerica','publish'),
      	(122,'','Azerbaijan','AZ','Azerbaijanian Manat','','','AZM',0.00,'asiapacific','publish'),
      	(123,'','Austria','AT','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(124,'','Aruba','AW','Aruban Guilder','','','AWG',0.00,'southamerica','publish'),
      	(125,'','Armenia','AM','Armenian Dram','','','AMD',0.00,'asiapacific','publish'),
      	(126,'','Argentina','AR','Argentine Peso','','','ARS',0.00,'southamerica','publish'),
      	(127,'','Antigua and Barbuda','AG','East Caribbean Dollar','$','&#036;','XCD',0.00,'africa','publish'),
      	(128,'','Antarctica','AQ','Dollar','$','&#036;','ATA',0.00,'antarctica','publish'),
      	(129,'','Anguilla','AI','East Caribbean Dollar','$','&#036;','XCD',0.00,'northamerica','publish'),
      	(130,'','Angola','AO','Angolan New Kwanza','','','AON',0.00,'africa','publish'),
      	(131,'','Andorra','AD','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(132,'','American Samoa','AS','US Dollar','$','&#036;','USD',0.00,'asiapacific','publish'),
      	(133,'','Algeria','DZ','Algerian Dinar','','','DZD',0.00,'africa','publish'),
      	(134,'','Albania','AL','Albanian Lek','','','ALL',0.00,'europe','publish'),
      	(135,'','Afghanistan','AF','Afghanistan Afghani','','','AFA',0.00,'asiapacific','publish'),
      	(136,'','USA','US','US Dollar','$','&#036;','USD',0.00,'northamerica','publish'),
      	(137,'','Australia','AU','Australian Dollar','$','&#036;','AUD',0.00,'asiapacific','publish'),
      	(138,'','Great Britain','GB','Pound Sterling','£','&#163;','GBP',0.00,'europe','publish'),
      	(139,'','Mauritius','MU','Mauritius Rupee','','','MUR',0.00,'africa','publish'),
      	(140,'','Mayotte','YT','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(141,'','Mexico','MX','Mexican Nuevo Peso','','','MXN',0.00,'northamerica','publish'),
      	(142,'','Micronesia','FM','US Dollar','$','&#036;','USD',0.00,'asiapacific','publish'),
      	(143,'','Moldova','MD','Moldovan Leu','','','MDL',0.00,'europe','publish'),
      	(144,'','Monaco','MC','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(145,'','Mongolia','MN','Mongolian Tugrik','','','MNT',0.00,'asiapacific','publish'),
      	(146,'','Montserrat','MS','East Caribbean Dollar','$','&#036;','XCD',0.00,'africa','publish'),
      	(147,'','Morocco','MA','Moroccan Dirham','','','MAD',0.00,'africa','publish'),
      	(148,'','Mozambique','MZ','Mozambique Metical','','','MZM',0.00,'africa','publish'),
      	(149,'','Myanmar','MM','Myanmar Kyat','','','MMK',0.00,'asiapacific','publish'),
      	(150,'','Namibia','NA','Namibian Dollar','$','&#036;','NAD',0.00,'africa','publish'),
      	(151,'','Nauru','NR','Australian Dollar','$','&#036;','AUD',0.00,'asiapacific','publish'),
      	(152,'','Nepal','NP','Nepalese Rupee','','','NPR',0.00,'asiapacific','publish'),
      	(153,'','Netherlands','NL','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(154,'','Netherlands Antilles','AN','Netherlands Antillean Guilder','','','ANG',0.00,'africa','publish'),
      	(155,'','New Caledonia (French)','NC','CFP Franc','','','XPF',0.00,'asiapacific','publish'),
      	(156,'','New Zealand','NZ','New Zealand Dollar','$','&#036;','NZD',12.50,'asiapacific','publish'),
      	(157,'','Nicaragua','NI','Nicaraguan Cordoba Oro','','','NIC',0.00,'northamerica','publish'),
      	(158,'','Niger','NE','CFA Franc BCEAO','','','XOF',0.00,'africa','publish'),
      	(159,'','Nigeria','NG','Nigerian Naira','','','NGN',0.00,'africa','publish'),
      	(160,'','Niue','NU','New Zealand Dollar','$','&#036;','NZD',0.00,'asiapacific','publish'),
      	(161,'','Norfolk Island','NF','Australian Dollar','$','&#036;','AUD',0.00,'asiapacific','publish'),
      	(162,'','Northern Mariana Islands','MP','US Dollar','$','&#036;','USD',0.00,'asiapacific','publish'),
      	(163,'','Norway','NO','Norwegian Krone','','','NOK',0.00,'europe','publish'),
      	(164,'','Oman','OM','Omani Rial','','','OMR',0.00,'asiapacific','publish'),
      	(165,'','Pakistan','PK','Pakistan Rupee','','','PKR',0.00,'asiapacific','publish'),
      	(166,'','Palau','PW','US Dollar','$','&#036;','USD',0.00,'asiapacific','publish'),
      	(167,'','Panama','PA','Panamanian Balboa','','','PAB',0.00,'southamerica','publish'),
      	(168,'','Papua New Guinea','PG','Papua New Guinea Kina','','','PGK',0.00,'asiapacific','publish'),
      	(169,'','Paraguay','PY','Paraguay Guarani','','','PYG',0.00,'southamerica','publish'),
      	(170,'','Peru','PE','Peruvian Nuevo Sol','','','PEN',0.00,'southamerica','publish'),
      	(171,'','Philippines','PH','Philippine Peso','','','PHP',0.00,'asiapacific','publish'),
      	(172,'','Pitcairn Island','PN','New Zealand Dollar','$','&#036;','NZD',0.00,'asiapacific','publish'),
      	(173,'','Poland','PL','Polish Zloty','','','PLN',0.00,'europe','publish'),
      	(174,'','Polynesia (French)','PF','CFP Franc','','','XPF',0.00,'asiapacific','publish'),
      	(175,'','Portugal','PT','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(176,'','Puerto Rico','PR','US Dollar','$','&#036;','USD',0.00,'northamerica','publish'),
      	(177,'','Qatar','QA','Qatari Rial','','','QAR',0.00,'asiapacific','publish'),
      	(178,'','Reunion (French)','RE','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(179,'','Romania','RO','Romanian Leu','','','RON',0.00,'europe','publish'),
      	(180,'','Russia','RU','Russian Ruble','','','RUR',0.00,'europe','publish'),
      	(181,'','Rwanda','RW','Rwanda Franc','','','RWF',0.00,'africa','publish'),
      	(182,'','Saint Helena','SH','St. Helena Pound','','','SHP',0.00,'africa','publish'),
      	(183,'','Saint Kitts & Nevis Anguilla','KN','East Caribbean Dollar','$','&#036;','XCD',0.00,'northamerica','publish'),
      	(184,'','Saint Lucia','LC','East Caribbean Dollar','$','&#036;','XCD',0.00,'northamerica','publish'),
      	(185,'','Saint Pierre and Miquelon','PM','Euro','€','&#8364;','EUR',0.00,'northamerica','publish'),
      	(186,'','Saint Vincent & Grenadines','VC','East Caribbean Dollar','$','&#036;','XCD',0.00,'northamerica','publish'),
      	(187,'','Samoa','WS','Samoan Tala','','','WST',0.00,'asiapacific','publish'),
      	(188,'','San Marino','SM','Italian Lira','','','ITL',0.00,'europe','publish'),
      	(189,'','Sao Tome and Principe','ST','Dobra','','','STD',0.00,'africa','publish'),
      	(190,'','Saudi Arabia','SA','Saudi Riyal','','','SAR',0.00,'asiapacific','publish'),
      	(191,'','Senegal','SN','CFA Franc BCEAO','','','XOF',0.00,'africa','publish'),
      	(192,'','Seychelles','SC','Seychelles Rupee','','','SCR',0.00,'africa','publish'),
      	(193,'','Sierra Leone','SL','Sierra Leone Leone','','','SLL',0.00,'africa','publish'),
      	(194,'','Singapore','SG','Singapore Dollar','$','&#036;','SGD',0.00,'asiapacific','publish'),
      	(195,'','Slovakia','SK','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(196,'','Slovenia','SI','Slovenian Tolar','','','SIT',0.00,'europe','publish'),
      	(197,'','Solomon Islands','SB','Solomon Islands Dollar','$','&#036;','SBD',0.00,'asiapacific','publish'),
      	(198,'','Somalia','SO','Somali Shilling','','','SOD',0.00,'africa','publish'),
      	(199,'','South Africa','ZA','South African Rand','','','ZAR',0.00,'africa','publish'),
      	(200,'','South Georgia & South Sandwich Islands','GS','Pound Sterling','£','&#163;','GBP',0.00,'southamerica','publish'),
      	(201,'','Spain','ES','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(202,'','Sri Lanka','LK','Sri Lanka Rupee','','','LKR',0.00,'asiapacific','publish'),
      	(203,'','Sudan','SD','Sudanese Dinar','','','SDD',0.00,'asiapacific','publish'),
      	(204,'','Suriname','SR','Surinam Guilder','','','SRG',0.00,'southamerica','publish'),
      	(205,'','Svalbard and Jan Mayen Islands','SJ','Norwegian Krone','','','NOK',0.00,'','publish'),
      	(206,'','Swaziland','SZ','Swaziland Lilangeni','','','SZL',0.00,'africa','publish'),
      	(207,'','Sweden','SE','Swedish Krona','','','SEK',0.00,'europe','publish'),
      	(208,'','Switzerland','CH','Swiss Franc','','','CHF',0.00,'europe','publish'),
      	(209,'','Syria','SY','Syrian Pound','','','SYP',0.00,'europe','publish'),
      	(210,'','Taiwan','TW','Taiwan Dollar','$','&#036;','TWD',0.00,'asiapacific','publish'),
      	(211,'','Tajikistan','TJ','Tajik Ruble','','','TJR',0.00,'asiapacific','publish'),
      	(212,'','Tanzania','TZ','Tanzanian Shilling','','','TZS',0.00,'africa','publish'),
      	(213,'','Thailand','TH','Thai Baht','','','THB',0.00,'asiapacific','publish'),
      	(214,'','Togo','TG','CFA Franc BCEAO','','','XOF',0.00,'africa','publish'),
      	(215,'','Tokelau','TK','New Zealand Dollar','$','&#036;','NZD',0.00,'asiapacific','publish'),
      	(216,'','Tonga','TO','Tongan Pa&#699;anga','','','TOP',0.00,'asiapacific','publish'),
      	(217,'','Trinidad and Tobago','TT','Trinidad and Tobago Dollar','$','&#036;','TTD',0.00,'africa','publish'),
      	(218,'','Tunisia','TN','Tunisian Dollar','$','&#036;','TND',0.00,'africa','publish'),
      	(219,'','Turkey','TR','Turkish Lira','','','TRL',0.00,'asiapacific','publish'),
      	(220,'','Turkmenistan','TM','Manat','','','TMM',0.00,'asiapacific','publish'),
      	(221,'','Turks and Caicos Islands','TC','US Dollar','$','&#036;','USD',0.00,'northamerica','publish'),
      	(222,'','Tuvalu','TV','Australian Dollar','$','&#036;','AUD',0.00,'asiapacific','publish'),
      	(223,'','U.K.','UK','Pound Sterling','£','&#163;','GBP',17.50,'europe','publish'),
      	(224,'','Uganda','UG','Uganda Shilling','','','UGS',0.00,'africa','publish'),
      	(225,'','Ukraine','UA','Ukraine Hryvnia','','','UAG',0.00,'europe','publish'),
      	(226,'','United Arab Emirates','AE','Arab Emirates Dirham','','','AED',0.00,'asiapacific','publish'),
      	(227,'','Uruguay','UY','Uruguayan Peso','','','UYP',0.00,'southamerica','publish'),
      	(228,'','USA Minor Outlying Islands','UM','US Dollar','$','&#036;','USD',0.00,'','publish'),
      	(229,'','Uzbekistan','UZ','Uzbekistan Sum','','','UZS',0.00,'asiapacific','publish'),
      	(230,'','Vanuatu','VU','Vanuatu Vatu','','','VUV',0.00,'asiapacific','publish'),
      	(231,'','Vatican','VA','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(232,'','Venezuela','VE','Venezuelan Bolivar','','','VUB',0.00,'asiapacific','publish'),
      	(233,'','Vietnam','VN','Vietnamese Dong','','','VND',0.00,'asiapacific','publish'),
      	(234,'','Virgin Islands (British)','VG','US Dollar','$','&#036;','USD',0.00,'northamerica','publish'),
      	(235,'','Virgin Islands (USA)','VI','US Dollar','$','&#036;','USD',0.00,'northamerica','publish'),
      	(236,'','Wallis and Futuna Islands','WF','CFP Franc','','','XPF',0.00,'asiapacific','publish'),
      	(237,'','Western Sahara','EH','Moroccan Dirham','','','MAD',0.00,'africa','publish'),
      	(238,'','Yemen','YE','Yemeni Rial','','','YER',0.00,'asiapacific','publish'),
      	(239,'','Montenegro','ME','Euro','€','&#8364;','EUR',0.00,'europe','publish'),
      	(240,'','Zambia','ZM','Zambian Kwacha','','','ZMK',0.00,'africa','publish'),
      	(241,'','Zimbabwe','ZW','Zimbabwe Dollar','$','&#036;','ZWD',0.00,'africa','publish'),
      	(242,'','Serbia','RS','DInar','','','RSD',0.00,'europe','publish')"
    );
  }
};