<?php

namespace WPBannerize\Providers;

use WPBannerize\WPBones\Support\ServiceProvider;

class WPBannerizeFrontendServiceProvider extends ServiceProvider
{
    public function register()
    {
        add_action('wp_loaded', [$this, 'wp_loaded'], 99);
        add_action('wp_head', [$this, 'wp_head']);

        if (!is_admin()) {
            WPBannerize()->css('wp-bannerize.min.css');
            WPBannerize()->js('wp-bannerize-impressions.min.js', ['jquery']);
        }
    }

    public function wp_head()
    {
        ?>
<script>
  window.ajaxurl =
    "<?php echo admin_url('admin-ajax.php') ?>"
  window.WPBannerize = <?php echo WPBannerize()->options ?> ;
</script>
<?php
    }



    public function wp_loaded()
    {
        $requestMethod = $_SERVER['REQUEST_METHOD']??'';
        $requestUri    = $_SERVER['REQUEST_URI']??'';
        $queryString   = $_SERVER['QUERY_STRING']??'';

        if (strtolower($requestMethod) === 'get' && substr($requestUri, 0, 18) === "/wp_bannerize_pro?") {
            $queryParams = [];
            parse_str($queryString, $queryParams);

            if (isset($queryParams['id']) && !empty($queryParams['id'])) {
                $post = get_post($queryParams['id']); ?>
<!DOCTYPE html>
<html>

<body>
  <?php echo do_shortcode($post->post_content) ?>
</body>

</html>
<?php die();
            }
        }
    }
}
