jQuery(function ($) {
    "use strict";

    // Add a custom event on document in order to init again the impressions and clicks.
    $(document).on("wpbannerize.init.impressions", _initImpressions)
    $(document).on("wpbannerize.init.clicks", _initClicks)

    function _initImpressions() {
        // impressions
        if (!window.WPBannerize.General.impressions_enabled) {
            return
        }

        window.WPBannerizeImpressions = []

        $("div[data-impressions_enabled=\"true\"]").each(
            function (i, e) {
                var banner_id, $this = $(e)

                if ($this.is(":visible")) {
                    banner_id = $this.data("banner_id")

                    if (banner_id > 0) {

                        console.log("push", banner_id)

                        WPBannerizeImpressions.push(banner_id)
                        $this.data("impressions_enabled", false)
                    }
                }
            }
        )

        if (window.WPBannerizeImpressions.length > 0) {

            console.log("post", WPBannerizeImpressions)

            $.post(ajaxurl, {
                action: "wp_bannerize_add_impressions",
                banner_id: WPBannerizeImpressions,
                referrer: document.location.href
            },
                function (data) {

                }
            )
        }
    }

    function _initClicks() {
        // clicks
        if (!window.WPBannerize.General.clicks_enabled) {
            return
        }

        $("div[data-clicks_enabled=\"true\"]").each(
            function (i, e) {
                if ($(e).is(":visible")) {
                    var banner_id = $(e).data("banner_id")

                    // Remove all previous
                    $(e).find("a").off("click")

                    // Attach my event
                    $(e).find("a").on("click",
                        function () {
                            // Ajax
                            $.post(ajaxurl, {
                                action: "wp_bannerize_add_clicks",
                                banner_id: banner_id,
                                referrer: document.location.href
                            },
                                function (data) {
                                    //
                                }
                            )
                        })
                }
            })
    }

    _initImpressions()
    _initClicks()

})